Bug 425711 - livecd-iso-to-disk does not write everything necessary from iso
livecd-iso-to-disk does not write everything necessary from iso
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
7
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-14 19:08 EST by Bob Gustafson
Modified: 2007-12-17 10:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-17 10:18:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Gustafson 2007-12-14 19:08:03 EST
Description of problem:

 I was following the Fedora article on booting from USB flash
http://www.redhatmagazine.com/2007/11/07/i-am-fedora-and-so-can-you/

I did everything in the article:

=========================
[root@hoho2 Desktop]# df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/mapper/rootvg-root
                       63G   44G   16G  74% /
/dev/md0               99M   38M   57M  41% /boot
tmpfs                 1.5G     0  1.5G   0% /dev/shm
/dev/sdc1             968M   32K  968M   1% /media/disk-1
[root@hoho2 Desktop]# livecd-iso-to-disk Fedora-8-x86_64-rescuecd.iso /dev/sdc1
Verifying image...
Fedora-8-x86_64-rescuecd.iso: Could not get pvd data
Unable to read the disc checksum from the primary volume descriptor.
This probably means the disc was created without adding the checksum.Are you
SURE you want to continue?
Press Enter to continue or ctrl-c to abort

Copying live image to USB stick
Updating boot config file
Installing boot loader
USB stick set up as live image!
[root@hoho2 Desktop]# df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/mapper/rootvg-root
                       63G   44G   16G  74% /
/dev/md0               99M   38M   57M  41% /boot
tmpfs                 1.5G     0  1.5G   0% /dev/shm
/dev/sdc1             968M  9.1M  959M   1% /media/disk-1

=========================================

Version-Release number of selected component (if applicable):

I used Applications->Add/Remove Software to install livecd-tools

[root@hoho2 ~]# rpm -q livecd-tools
livecd-tools-009-3.fc7
[root@hoho2 ~]# 


How reproducible:

 I did try to write Flash several times - same file size on Flash (too small)

Steps to Reproduce:
1. See above
2. Insert USB Flash in new system to try boot
3. Boot goes OK, but cannot find system
4. Go back to Fedora 7 system, erased Flash
5. Rewrite Flash
6. Check size of write --- AHAH
7. Only 9.1 MB were written by livecd-iso-to-disk from 108 MB file
8. File bug report
  
Actual results:

  As above

Expected results:

  As in article - a booted Fedora 8 running on new system.

Additional info:

  The USB Flash drive has FAT16 partition

  I am running Fedora 7 on a separate system.

[root@hoho2 ~]# cat /proc/version
Linux version 2.6.23.1-21.fc7 (kojibuilder@xenbuilder4.fedora.phx.redhat.com)
(gcc version 4.1.2 20070925 (Red Hat 4.1.2-27)) #1 SMP Thu Nov 1 21:09:24 EDT 2007
[root@hoho2 ~]# 

  The flash will hold the data (see test below)

[root@hoho2 Desktop]# cp Fedora-8-x86_64-rescuecd.iso /media/disk-1
[root@hoho2 Desktop]# df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/mapper/rootvg-root
                       63G   44G   16G  74% /
/dev/md0               99M   38M   57M  41% /boot
tmpfs                 1.5G     0  1.5G   0% /dev/shm
/dev/sdc1             968M  113M  855M  12% /media/disk-1

=====

  New system is totally blank (at the moment), and does not have CDROM drive..
Comment 1 Bob Gustafson 2007-12-15 15:42:55 EST
I repeated the experiment - this time with the full install iso file (In the
meantime I acquired a 4GB USB stick).

Unfortunately, the results are the same - not enough information transferred to
the USB Flash stick. See last 'ls -l /media/disk-1'

[root@hoho2 Desktop]# df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/mapper/rootvg-root
                       63G   48G   12G  80% /
/dev/md0               99M   38M   57M  41% /boot
tmpfs                 1.5G     0  1.5G   0% /dev/shm
/dev/sdc1             3.8G   28K  3.8G   1% /media/disk-1
[root@hoho2 Desktop]# livecd-iso-to-disk Fedora-8-x86_64-DVD.iso /dev/sdc1
Verifying image...
Fedora-8-x86_64-DVD.iso:   15055ae76b9f3a2503c7a9af9792aa05
Fragment sums: a2971c8a1d2ed8ace8ebeb52e46df49792cd72ffb4cd753784ef48592d4b
Fragment count: 20
Percent complete: 100.0%   Fragment[20/20] -> OK
100.0
The media check is complete, the result is: PASS.

It is OK to use this media.
Copying live image to USB stick
Updating boot config file
Installing boot loader
USB stick set up as live image!
[root@hoho2 Desktop]# umount /media/disk-1

Now tried in new (blank) system. It booted, but failed. I clicked on F2 and
browsed files on the USB stick. All of the promising files gave the dialog box:

'Failed to load driver disk from file'

Reinserting USB stick back into Fedora 7 system, I see that only 8 MB out of 3.8
GB were copied to the USB stick in the previous livecd operation.

[root@hoho2 Desktop]# df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/mapper/rootvg-root
                       63G   48G   12G  80% /
/dev/md0               99M   38M   57M  41% /boot
tmpfs                 1.5G     0  1.5G   0% /dev/shm
/dev/sdc1             3.8G  8.9M  3.8G   1% /media/disk-1
[root@hoho2 Desktop]# 

Comment 2 Bob Gustafson 2007-12-16 00:12:36 EST
Looking at the source of livecd-iso-to-disk, it seems as though the program is
looking for files squashfs.img, or ext3fs.img, or osmin.img, either under a
directory /LiveOS or at the root level of the Fedora-8 DVD or rescue disks.

Unfortunately, none of these files or directories seem to be on the Fedora-8 disks

[root@hoho2 Desktop]# mount -o loop Fedora-8-x86_64-rescuecd.iso /mnt/looper
[root@hoho2 Desktop]# ls -l /mnt/looper
total 213
-rw-r--r-- 1 root root  18363 2007-11-02 10:05 GPL
drwxrwxr-x 2 root root   2048 2007-11-02 10:14 images
drwxrwxr-x 2 root root   2048 2007-11-02 10:14 isolinux
-rw-r--r-- 1 root root   9680 2007-11-02 10:05 README-BURNING-ISOS-en_US.txt
-rw-r--r-- 1 root root 172530 2007-11-02 10:05 RELEASE-NOTES-en_US.html
-rw-r--r-- 1 root root   1910 2007-11-02 10:05 RPM-GPG-KEY
-rw-r--r-- 1 root root   1706 2007-11-02 10:05 RPM-GPG-KEY-beta
-rw-r--r-- 1 root root   1519 2007-11-02 10:05 RPM-GPG-KEY-fedora
-rw-r--r-- 1 root root   1105 2007-11-02 10:05 RPM-GPG-KEY-fedora-rawhide
-rw-r--r-- 1 root root   1076 2007-11-02 10:05 RPM-GPG-KEY-fedora-test
-rw-r--r-- 1 root root   1232 2007-11-02 10:05 RPM-GPG-KEY-rawhide
-r--r--r-- 1 root root   2515 2007-11-02 10:14 TRANS.TBL
[root@hoho2 Desktop]# find /mnt/looper -name LiveOS -print
[root@hoho2 Desktop]# find /mnt/looper -name squashfs.img -print
[root@hoho2 Desktop]# find /mnt/looper -name ext3fs.img -print
[root@hoho2 Desktop]# find /mnt/looper -name osmin.img -print
[root@hoho2 Desktop]# 
[root@hoho2 Desktop]# find /mnt/looper -name \*.img -print
/mnt/looper/images/stage2.img
/mnt/looper/isolinux/initrd.img
[root@hoho2 Desktop]# 

What is going on here?
Comment 3 Bob Gustafson 2007-12-16 01:36:33 EST
OK, got it.

I need a 'Live Media' disk image.

Currently downloading it..

(I would rather have the install disk on my USB Flash, but maybe this will come
later. First the Live Media..
Comment 4 Jeremy Katz 2007-12-17 10:18:30 EST
livecd-iso-to-disk is (as the name implies) only for live CDs.  You can't just
generically take an ISO and make it work off of a USB stick.

Note You need to log in before you can comment on or make changes to this bug.